Subject: [media-types] Spaces in parameter values

From: "Chris Lilley" <[email-masked]>
Date: Fri, 09 Dec 2016 11:47:16 -0500

Dale R. Worley wrote (in review of the proposed font top-level type)
I strongly recommend against allowing whitespace in parameter values.
It seems to be allowed in principle (RFC 6838 section 4.3), but I
expect many processors of media types to misbehave on parameter values
containing whitespace.
In response I have disallowed spaces in parameter values, in the current draft.

More generally however, I am interested to know more specific details about processors misbehaving when parameter values contain spaces.

If this is a significant problem, and those processors can't or won't change, shouldn't an update to RFC 6838 be produced?

--
Chris Lilley
@svgeesus
Technical Director @ W3C
W3C Strategy Team, Core Web Design
W3C Architecture & Technology Team, Core Web & Media

---

From: Alexey Melnikov <[email-masked]>
Date: Fri, 9 Dec 2016 16:48:46 +0000

On 09/12/2016 16:47, Chris Lilley wrote:

> More generally however, I am interested to know more specific details 
> about processors misbehaving when parameter values contain spaces.
>
> If this is a significant problem, and those processors can't or won't 
> change, shouldn't an update to RFC 6838 be produced?

IMHO, not a problem in email world. So not doing any change is sensible 
to me.

---

From: Ned Freed <[email-masked]>
Date: Fri, 09 Dec 2016 09:17:48 -0800 (PST)

> IMHO, not a problem in email world. So not doing any change is sensible

+1.

Think "file names", which in addition to being placed in content-disposition
filename parameters, routinely appear in content-type name parameters.

And quite a few file names contain spaces.

Many other parameters that contain spaces have been defined for various types.
I've yet to see it be an issue.

You are of course free not to use spaces in your parameter values if you think
that's appropriate. But a general ban on spaces in parameter values at this
point in time is an absolute and complete nonstarter.

				Ned